Skip to Content

Get a newsletter

Read one newsletter, including its consent topic ID, issue project, archive status, and hosted slug.

GET
/v1/newsletters/{id}

Read one newsletter, including its consent topic ID, issue project, archive status, and hosted slug.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^nl_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

Newsletter

application/json
  1. response
id*NewsletterId
Match^nl_[0-9a-hjkmnp-tv-z]{16,24}$
topicId*TopicId
Match^tpc_[0-9a-hjkmnp-tv-z]{16,24}$
namespaceId*|null
name*string
description*string|null
issueProjectId*|null
archiveEnabled*boolean
publicationSlug*|null
createdAt*string
updatedAt*string
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.newsletters.get({
  "id": "example"
});
Example Response
{
  "id": "string",
  "topicId": "string",
  "namespaceId": "string",
  "name": "string",
  "description": "string",
  "issueProjectId": "string",
  "archiveEnabled": true,
  "publicationSlug": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

Related documentation